仮販売削除
DELETE
/transactions/temporaries/{temporary_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/transactions/temporaries/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/transactions/temporaries/example \ --header 'Authorization: Bearer <token>'指定された仮販売取引を削除します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”temporary_id
required
string
仮販売取引ID
Responses
Section titled “Responses”削除成功
- ステータスが 1:完了 の仮販売が指定された場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleステータスが 1:完了 の仮販売が指定された場合
{ "type": "about:blank", "title": "Bad Request", "detail": "既に完了済みの為、削除できません。", "status": 400}- 指定した仮販売取引IDが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example指定した仮販売取引IDが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}